# petsc4py.PETSc.TAOLineSearch.Type

class petsc4py.PETSc.TAOLineSearch.Type

  Bases: `object`

  TAO Line Search Types.

  Attributes Summary

  `ARMIJO` | Object `ARMIJO` of type `str`
  `GPCG` | Object `GPCG` of type `str`
  `IPM` | Object `IPM` of type `str`
  `MORETHUENTE` | Object `MORETHUENTE` of type `str`
  `OWARMIJO` | Object `OWARMIJO` of type `str`
  `UNIT` | Object `UNIT` of type `str`

  Attributes Documentation

  ARMIJO: str = ARMIJO

    Object `ARMIJO` of type `str`

  GPCG: str = GPCG

    Object `GPCG` of type `str`

  IPM: str = IPM

    Object `IPM` of type `str`

  MORETHUENTE: str = MORETHUENTE

    Object `MORETHUENTE` of type `str`

  OWARMIJO: str = OWARMIJO

    Object `OWARMIJO` of type `str`

  UNIT: str = UNIT

    Object `UNIT` of type `str`